@echo off
echo.
echo ------------------------GLITCH FIXER------------------------
echo.
echo ---------ONLY USE THIS IF THE TURTLE HAS A GLITCH-----------
echo.
pause

set dir="C:\Program Files\Lionhead Studios\Black & White 2\"

CLS
echo.
echo -------------------------FIXING...--------------------------
echo.
echo.
echo -----------------------PLEASE WAIT--------------------------
echo.

RMDIR %dir%\Data\ctr /S/Q

XCOPY "Glitch_Fixer_Files" %dir%\Data\ /E/Y/Q

IF EXIST "Glitch_Fixer_Files\ctr\bape.cha" GOTO :corrupt
IF EXIST "Glitch_Fixer_Files\ctr\bcow.cha" GOTO :corrupt
IF EXIST "Glitch_Fixer_Files\ctr\blion.cha" GOTO :corrupt
IF EXIST "Glitch_Fixer_Files\ctr\bwolf.cha" GOTO :corrupt
IF EXIST "Glitch_Fixer_Files\ctr\btiger.cha" GOTO :corrupt

DEL %dir%\Data\ctr\bape.cha
DEL %dir%\Data\ctr\bape.ccs
DEL %dir%\Data\ctr\bape.csk

DEL %dir%\Data\ctr\bcow.cha
DEL %dir%\Data\ctr\bcow.ccs
DEL %dir%\Data\ctr\bcow.csk

DEL %dir%\Data\ctr\bwolf.cha
DEL %dir%\Data\ctr\bwolf.ccs
DEL %dir%\Data\ctr\bwolf.csk

DEL %dir%\Data\ctr\btiger.cha
DEL %dir%\Data\ctr\btiger.ccs
DEL %dir%\Data\ctr\btiger.csk

DEL %dir%\Data\ctr\blion.cha
DEL %dir%\Data\ctr\blion.ccs
DEL %dir%\Data\ctr\blion.csk

CLS
echo.
echo -----------------THE ERROR HAS BEEN FIXED------------------
echo.
echo --YOU WILL NEED TO RE-INSTALL THE TURTLE AFTER USING THIS--
echo.
echo.
echo.
echo.
echo ------GLITCH FIXER AND TURTLE MOD BY TOM G (SkelApe)-------
echo.
echo     NOTE: IF THE GLITCH FIXER DOESNT SOLVE THE PROBLEM, 
echo.
echo     TRY UN-INSTALLING AND THEN RE-INSTALLING THE TURTLE.
echo.
pause
exit

:corrupt
CLS
echo.
echo GLITCH FIXER FILES CORRUPTED. UN-INSTALL TURTLE THEN RE-INSTALL.
echo.
pause
exit

